<?php require_once(dirname(__FILE__) . '/../../altauth_language.php') ?>
<?php $id = str_replace('.', '', uniqid('', true)) ?>
<?php $values = $params['values'] ?>

<div class="alert alert-success" role="alert" style="display: none"><?php echo __('layer_loaded') ?></div>

<input type="hidden" name="overlay_type[<?php echo $id ?>]" value="banner" />
<input type="hidden" name="serialized_layer[<?php echo $id ?>]" value="" />

<div class="form-group">
    <label class="control-label col-sm-2" for="banner_url[<?php echo $id ?>]"><?php echo __('banner_url'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url" data-error="<?php echo __('required_field'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" id="banner_url[<?php echo $id ?>]" name="banner_url[<?php echo $id ?>]" placeholder="<?php echo __('banner_url'); ?>" required value="<?php echo $values['banner_url']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="banner_link[<?php echo $id ?>]"><?php echo __('banner_link'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url" data-error="<?php echo __('required_field'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" id="banner_link[<?php echo $id ?>]" name="banner_link[<?php echo $id ?>]" placeholder="<?php echo __('banner_link'); ?>" required value="<?php echo $values['banner_link']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="start_at[<?php echo $id ?>]"><?php echo __('start_at'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-10">
                <input type="text" class="form-control" data-validate="number,lesser" data-lesser-field="stop_at[<?php echo $id ?>]" data-error="<?php echo __('required_field'); ?>" data-number-error="<?php echo __('invalid_number'); ?>" data-lesser-error="<?php echo __('invalid_less_than_stop'); ?>" id="start_at[<?php echo $id ?>]" name="start_at[<?php echo $id ?>]" placeholder="<?php echo __('start_at'); ?>" required value="<?php echo $values['start_at']; ?>">
                <span class="help-block has-error" style="display: none"></span>
            </div>
            <div class="col-sm-2">
                <select name="start_at_type[<?php echo $id ?>]" class="form-control">
                    <option value="sec" <?php if($values['start_at_type'] === 'sec') echo 'selected' ?>><?php echo __('seconds'); ?></option>
                    <option value="min" <?php if($values['start_at_type'] === 'min') echo 'selected' ?>><?php echo __('minutes'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group" data-stop-at="<?php echo $id ?>" <?php if($values['pause_video'] == 1) echo 'style="display: none"' ?>>
    <label class="control-label col-sm-2" for="stop_at[<?php echo $id ?>]"><?php echo __('stop_at'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-10">
                <input type="text" class="form-control" data-validate="number,greater" data-greater-field="start_at[<?php echo $id ?>]" data-error="<?php echo __('required_field'); ?>" data-number-error="<?php echo __('invalid_number'); ?>" data-greater-error="<?php echo __('invalid_greater_than_start'); ?>" id="stop_at[<?php echo $id ?>]" name="stop_at[<?php echo $id ?>]" placeholder="<?php echo __('stop_at'); ?>" required value="<?php echo $values['stop_at']; ?>">
                <span class="help-block has-error" style="display: none"></span>
            </div>
            <div class="col-sm-2">
                <select name="stop_at_type[<?php echo $id ?>]" class="form-control">
                    <option value="sec" <?php if($values['stop_at_type'] === 'sec') echo 'selected' ?>><?php echo __('seconds'); ?></option>
                    <option value="min" <?php if($values['stop_at_type'] === 'min') echo 'selected' ?>><?php echo __('minutes'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="v_position[<?php echo $id ?>]"><?php echo __('position'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-6">
                <select name="v_position[<?php echo $id ?>]" class="form-control">
                    <option value="top" <?php if($values['v_position'] === 'top') echo 'selected' ?>><?php echo __('top'); ?></option>
                    <option value="middle" <?php if($values['v_position'] === 'middle') echo 'selected' ?>><?php echo __('middle'); ?></option>
                    <option value="bottom" <?php if($values['v_position'] === 'bottom') echo 'selected' ?>><?php echo __('bottom'); ?></option>
                </select>
            </div>
            <div class="col-sm-6">
                <select name="h_position[<?php echo $id ?>]" class="form-control">
                    <option value="left" <?php if($values['h_position'] === 'left') echo 'selected' ?>><?php echo __('left'); ?></option>
                    <option value="right" <?php if($values['h_position'] === 'right') echo 'selected' ?>><?php echo __('right'); ?></option>
                    <option value="center" <?php if($values['h_position'] === 'center') echo 'selected' ?>><?php echo __('center'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="pause_video[<?php echo $id ?>]"><?php echo __('pause_video_click'); ?>:</label>
    <div class="col-sm-10">
        <input type="checkbox" <?php if($values['pause_video'] == 1) echo 'checked' ?> id="pause_video[<?php echo $id ?>]" data-need-pause="<?php echo $id ?>" name="pause_video[<?php echo $id ?>]" value="1" />
    </div>
</div>

<div class="form-group"> 
    <div class="col-sm-6">
        <a href="#!" class="remove-overlay" data-remove-id="<?php echo $id ?>"><?php echo __('remove_overlay') ?></a>
    </div>
    
    <div class="col-sm-6 text-right">
        <button type="button" class="btn btn-info" data-remove="" data-overlay-id="<?php echo $id ?>" data-edit="<?php echo __('edit') ?>"><?php echo __('insert'); ?></button>
    </div>
</div>