<?php require_once(dirname(__FILE__) . '/../../altauth_language.php') ?>
<?php $id = str_replace('.', '', uniqid('', true)) ?>
<?php $values = $params['values'] ?>

<div class="alert alert-success" role="alert" style="display: none"><?php echo __('layer_loaded') ?></div>

<input type="hidden" name="overlay_type[<?php echo $id ?>]" value="socialAction" />
<input type="hidden" name="serialized_layer[<?php echo $id ?>]" value="" />

<div class="form-group">
    <label class="control-label col-sm-2" for="social_action[<?php echo $id ?>]"><?php echo __('display_action'); ?>:</label>
    <div class="col-sm-10">
        <select name="social_action[<?php echo $id ?>]" data-activate-hidden class="form-control">
            <option value="share" <?php if($values['social_action'] === 'share') echo 'selected' ?> data-hidden-value="2"><?php echo __('share'); ?></option>
            <option value="like" <?php if($values['social_action'] === 'like') echo 'selected' ?> data-hidden-value="1"><?php echo __('like'); ?></option>
        </select>
    </div>
</div>

<div class="form-group" data-hidden="2" <?php if($values['social_action'] === 'share' || $values['social_action'] !== 'like') echo 'style="display: block"' ?>>
    <label class="control-label col-sm-2" for="share_link[<?php echo $id ?>]"><?php echo __('share_link'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url" data-url-error="<?php echo __('invalid_url'); ?>" data-error="<?php echo __('required_field'); ?>" id="share_link[<?php echo $id ?>]" name="share_link[<?php echo $id ?>]" placeholder="<?php echo __('share_link'); ?>" required value="<?php echo $values['share_link']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group" data-hidden="1" <?php if($values['social_action'] === 'like') echo 'style="display: block"' ?>>
    <label class="control-label col-sm-2" for="facebook_like[<?php echo $id ?>]"><?php echo __('facebook_like'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url,regexp" data-group="1" data-regexp="(?:https?:\/\/)?(?:www\.)?facebook\.com\/(?:(?:\w)*#!\/)?(?:pages\/)?(?:[\w\-]*\/)*([\w\-\.]*)" data-regexp-error="<?php echo __('invalid_facebook_url'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" data-group-error="<?php echo __('at_least_one_social_not_empty'); ?>" id="facebook_like[<?php echo $id ?>]" name="facebook_like[<?php echo $id ?>]" placeholder="<?php echo __('facebook_like'); ?>" value="<?php echo $values['facebook_like']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group" data-hidden="1" <?php if($values['social_action'] === 'like') echo 'style="display: block"' ?>>
    <label class="control-label col-sm-2" for="twitter_follow[<?php echo $id ?>]"><?php echo __('twitter_follow'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url,regexp" data-group="1" data-regexp="(?:http:\/\/)?(?:www\.)?twitter\.com\/(?:(?:\w)*#!\/)?(?:pages\/)?(?:[\w\-]*\/)*([\w\-]*)" data-regexp-error="<?php echo __('invalid_twitter_url'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" data-group-error="<?php echo __('at_least_one_social_not_empty'); ?>" id="twitter_follow[<?php echo $id ?>]" name="twitter_follow[<?php echo $id ?>]" placeholder="<?php echo __('twitter_follow'); ?>" value="<?php echo $values['twitter_follow']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group" data-hidden="1" <?php if($values['social_action'] === 'like') echo 'style="display: block"' ?>>
    <label class="control-label col-sm-2" for="gplus_follow[<?php echo $id ?>]"><?php echo __('gplus_follow'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url,regexp" data-group="1" data-regexp="(?:https?:\/\/)?plus\.google\.com\/.?\/?.?\/?([0-9]*)" data-regexp-error="<?php echo __('invalid_gplus_url'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" id="gplus_follow[<?php echo $id ?>]" data-group-error="<?php echo __('at_least_one_social_not_empty'); ?>" name="gplus_follow[<?php echo $id ?>]" placeholder="<?php echo __('gplus_follow'); ?>" value="<?php echo $values['gplus_follow']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group" data-hidden="1" <?php if($values['social_action'] === 'like') echo 'style="display: block"' ?>>
    <label class="control-label col-sm-2" for="linkedin_follow[<?php echo $id ?>]"><?php echo __('linkedin_follow'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url,regexp" data-group="1" data-regexp="^(http(s)?:\/\/)?([\w]+\.)?linkedin\.com\/(pub|in|profile)" data-regexp-error="<?php echo __('invalid_linkedin_url'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" data-group-error="<?php echo __('at_least_one_social_not_empty'); ?>" id="linkedin_follow[<?php echo $id ?>]" name="linkedin_follow[<?php echo $id ?>]" placeholder="<?php echo __('linkedin_follow'); ?>" value="<?php echo $values['linkedin_follow']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group" data-hidden="1" <?php if($values['social_action'] === 'like') echo 'style="display: block"' ?>>
    <label class="control-label col-sm-2" for="pinterest_follow[<?php echo $id ?>]"><?php echo __('pinterest_follow'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url,regexp" data-group="1" data-regexp="^http(s)?:\/\/pinterest.com\/(.*)?$" data-regexp-error="<?php echo __('invalid_pinterest_url'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" data-group-error="<?php echo __('at_least_one_social_not_empty'); ?>" id="pinterest_follow[<?php echo $id ?>]" name="pinterest_follow[<?php echo $id ?>]" placeholder="<?php echo __('pinterest_follow'); ?>" value="<?php echo $values['pinterest_follow']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>


<div class="form-group">
    <label class="control-label col-sm-2" for="start_at[<?php echo $id ?>]"><?php echo __('start_at'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-10">
                <input type="text" class="form-control" data-validate="number,lesser" data-lesser-field="stop_at[<?php echo $id ?>]" data-error="<?php echo __('required_field'); ?>" data-number-error="<?php echo __('invalid_number'); ?>" data-lesser-error="<?php echo __('invalid_less_than_stop'); ?>" id="start_at[<?php echo $id ?>]" name="start_at[<?php echo $id ?>]" placeholder="<?php echo __('start_at'); ?>" required value="<?php echo $values['start_at']; ?>">
                <span class="help-block has-error" style="display: none"></span>
            </div>
            <div class="col-sm-2">
                <select name="start_at_type[<?php echo $id ?>]" class="form-control">
                    <option value="sec" <?php if($values['start_at_type'] === 'sec') echo 'selected' ?>><?php echo __('seconds'); ?></option>
                    <option value="min" <?php if($values['start_at_type'] === 'min') echo 'selected' ?>><?php echo __('minutes'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group" data-stop-at="<?php echo $id ?>" <?php if($values['pause_video'] == 1) echo 'style="display: none"' ?>>
    <label class="control-label col-sm-2" for="stop_at[<?php echo $id ?>]"><?php echo __('stop_at'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-10">
                <input type="text" class="form-control" data-validate="number,greater" data-greater-field="start_at[<?php echo $id ?>]" data-error="<?php echo __('required_field'); ?>" data-number-error="<?php echo __('invalid_number'); ?>" data-greater-error="<?php echo __('invalid_greater_than_start'); ?>" id="stop_at[<?php echo $id ?>]" name="stop_at[<?php echo $id ?>]" placeholder="<?php echo __('stop_at'); ?>" required value="<?php echo $values['stop_at']; ?>">
                <span class="help-block has-error" style="display: none"></span>
            </div>
            <div class="col-sm-2">
                <select name="stop_at_type[<?php echo $id ?>]" class="form-control">
                    <option value="sec" <?php if($values['stop_at_type'] === 'sec') echo 'selected' ?>><?php echo __('seconds'); ?></option>
                    <option value="min" <?php if($values['stop_at_type'] === 'min') echo 'selected' ?>><?php echo __('minutes'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="v_position[<?php echo $id ?>]"><?php echo __('position'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-6">
                <select name="v_position[<?php echo $id ?>]" class="form-control">
                    <option value="top" <?php if($values['v_position'] === 'top') echo 'selected' ?>><?php echo __('top'); ?></option>
                    <option value="middle" <?php if($values['v_position'] === 'middle') echo 'selected' ?>><?php echo __('middle'); ?></option>
                    <option value="bottom" <?php if($values['v_position'] === 'bottom') echo 'selected' ?>><?php echo __('bottom'); ?></option>
                </select>
            </div>
            <div class="col-sm-6">
                <select name="h_position[<?php echo $id ?>]" class="form-control">
                    <option value="left" <?php if($values['h_position'] === 'left') echo 'selected' ?>><?php echo __('left'); ?></option>
                    <option value="right" <?php if($values['h_position'] === 'right') echo 'selected' ?>><?php echo __('right'); ?></option>
                    <option value="center" <?php if($values['h_position'] === 'center') echo 'selected' ?>><?php echo __('center'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="social_text[<?php echo $id ?>]"><?php echo __('display_text'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" id="social_text[<?php echo $id ?>]" name="social_text[<?php echo $id ?>]" placeholder="<?php echo __('display_text'); ?>" value="<?php echo $values['social_text']; ?>">
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="pause_video[<?php echo $id ?>]"><?php echo __('pause_video_click'); ?>:</label>
    <div class="col-sm-10">
        <input type="checkbox" <?php if($values['pause_video'] == 1) echo 'checked' ?> id="pause_video[<?php echo $id ?>]" data-need-pause="<?php echo $id ?>" name="pause_video[<?php echo $id ?>]" value="1" />
    </div>
</div>

<div class="form-group"> 
    <div class="col-sm-6">
        <a href="#!" class="remove-overlay" data-remove-id="<?php echo $id ?>"><?php echo __('remove_overlay') ?></a>
    </div>

    <div class="col-sm-6 text-right">
        <button type="button" class="btn btn-info" data-remove="" data-overlay-id="<?php echo $id ?>" data-edit="<?php echo __('edit') ?>"><?php echo __('insert'); ?></button>
    </div>
</div>
