<?php
require_once('altauth_lib.php');
require_once('JVZoo.php');

if(!isset($_POST['ctransaction']))
    die(__('unauthorized'));

if( is_registration_method_enabled('jvzoo') ) {
	if(jvzipnVerification() == 1) {
            $fp = fopen('transaction.log', 'a');
            fwrite($fp, json_encode($_POST) . "\r\n");
            fclose($fp);
            
            $ctransaction = $_POST['ctransaction'];
            $cverify = $_POST['cverify'];

	    switch ($ctransaction) {
	    	case 'SALE':
                    $jvZooApi = new JVZoo();
                    $jvZooApi->saveReceipt($_POST['ctransreceipt'], $_POST['cproditem']);
                    unset($jvZooApi);
	    	break;
	    }
	}
}

function jvzipnVerification() {
    $jvzoo = load_jvzoo();

    $secretKey = isset($jvzoo['jvzoo_key']) ? $jvzoo['jvzoo_key'] : '';

    $pop = "";
    $ipnFields = array();
    foreach ($_POST AS $key => $value) {
        if ($key == "cverify")
            continue;

        $ipnFields[] = $key;
    }
    sort($ipnFields);
    
    foreach ($ipnFields as $field) {
        if(get_magic_quotes_gpc())
            $pop = $pop . stripslashes($_POST[$field]) . "|";	
        else
            $pop = $pop . $_POST[$field] . "|";
        
    }
    
    $pop = $pop . $secretKey;

    $calcedVerify = sha1(mb_convert_encoding($pop, "UTF-8"));
    $calcedVerify = strtoupper(substr($calcedVerify,0,8));

    return $calcedVerify == $_POST["cverify"];
}
?>