<?php

function __($text) {
    $language = array(
        'admin_only' => 'This page is available for the Administrator only!',
        'script_title' => 'Turbo Tube Engage',
        'logout_try_again' => 'Logout and try again',
        'toggle_navigation' => 'Toggle navigation',
        'navbar_title' => 'Turbo Tube Engage',
        'dashboard' => 'Dashboard',
        'integrations' => 'Integrations',
        'users' => 'Users',
        'codes' => 'Codes',
        'logout' => 'Logout',
        'fail_create_htpasswd' => 'FAILURE: cannot open/create .htpasswd file',
        'fail_create_htaccess_old' => 'FAILURE: cannot create .htaccess_old file',
        'fail_create_htaccess' => 'FAILURE: cannot create/rewrite .htaccess file. Possible permissions problem',
        'tmpl_htaccess_not_found' => 'FAILURE: template .htaccess (altauth_htaccess) not found in installation folder.',
        'protection_initialized' => 'Protection has been initialized',
        'init_url' => 'Here is your URL and access codes to the admin area (keep them safe!):',
        'remember_to_change' => 'Remember to change username and password in the Admin Panel!',
        'url' => 'URL',
        'username' => 'Username',
        'password' => 'Password',
        'fail_open_session' => 'failed to open session file',
        'session_dir_corrupted' => 'session directory corrupted',
        'authorization_failed' => 'Authorization failed',
        'exceeded_ip' => 'You have exceeded the allowed number of IP addresses to login from',
        'today' => 'Today',
        'total' => 'Total',
        'banned' => 'Banned',
        'added_to_database' => 'has been added to the database.',
        'has_been_saved' => 'has been saved.',
        'status' => 'Status',
        'actions' => 'Actions',
        'enabled' => 'Enabled',
        'disabled' => 'Disabled',
        'save' => 'Save',
        'fail_create_file' => 'FAILURE: cannot create/rewrite',
        'settings_saved' => 'The settings have been saved to the database.',
        'email' => 'Email',
        'enter_email' => 'Enter email',
        'enter_password' => 'Enter password',
        'user' => 'User',
        'email_in_use' => 'That email is already in use.',
        'fail_authuserfile' => 'FAILURE: .htaccess_old file does not contain AuthUserFile!',
        'fail_locate_htaccess_old' => 'FAILURE: cannot locate .htaccess_old file',
        'fail_htpasswd_not_found' => 'FAILURE: .htpasswd file specified in .htaccess_old not found!',
        'error_no_username_pwd' => 'int.error: no username or password',
        'fail_cannot_write' => 'FAILURE: cannot open',
        'fail_cannot_write_2' => 'to write.',
        'please_sign_in' => 'Please Sign In',
        'remember_me' => 'remember me',
        'sign_in' => 'Sign in',
        'forgot_password' => 'Forgot password?',
        'email_address' => 'Email address',
        'invalid_reg_code' => 'Invalid registration code',
        'username_pwd_required' => 'Both Username and Password fields are required',
        'passwords_different' => 'Passwords are different',
        'already_registered_1' => 'User with username',
        'already_registered_2' => 'is already registered',
        'thank_you_joining' => 'Thank you for joining us! ',
        'click_continue' => 'Click here to continue',
        'registration' => 'Registration',
        'password_again' => 'Password again',
        'register' => 'Register',
        'fill_in_username' => 'Please fill in the Username field',
        'your_new_password' => 'Your new password',
        'password_sent' => 'Your new password is sent to your e-mail address!',
        'error_email_format' => 'does not look like an e-mail address',
        'error_user_inexistent_1' => 'User with username',
        'error_user_inexistent_2' => 'is not found in the DB',
        'reset_your_pwd' => 'Reset your password',
        'reset_pwd_note' => 'Please note that you can reset your password only if you use your e-mail address as your username. In this case the new password will be sent to this e-mail address. Otherwise you need to contact administrator.',
        'reset' => 'Reset',
        'not_authorized' => 'You are not authorized to enter this area',
        'inactive' => 'Inactive',
        'title' => 'Title',
        'registration_subject' => 'Registration information',
        'registration_welcome' => 'Your registration has been completed.',
        'registration_link' => 'This is the link to the website',
        'jvzoo_integration' => 'JVZoo Integration',
        'jvzoo_secret' => 'JVZoo Secret Key',
        'enter_jvzoo_secret' => 'Enter JVZoo Secret Key',
        'enable_jvzoo' => 'Enable JVZoo Integration',
        'aweber_integration' => 'AWeber Integration',
        'aweber_secret' => 'Authorization Code',
        'enter_aweber_secret' => 'Type AWeber Authorization Code Here',
        'enable_aweber' => 'Enable AWeber Integration',
        'aweber_auth_link' => 'Go to this URL in your browser',
        'connect' => 'Connect',
        'disconnect' => 'Disconnect',
        'get_authorization_code' => 'Click here to get your authorization code',
        'choose_list' => 'Choose a list',
        'aweber_error' => 'An unknown error has occurred. Please try again.',
        'authentication' => 'Authentication',
        'direct_registration_link' => 'You may direct members to this registration page:',
        'cb_integration' => 'ClickBank Integration',
        'cb_secret' => 'Secret Key',
        'cb_clerk_api_key' => 'Clerk API Key',
        'cb_dev_api_key' => 'Developer API Key',
        'cb_site_name' => 'Site Name',
        'cb_account_nick' => '(your account nickname)',
        'cb_integration_tip' => 'You can find the information needed in your Account page.',
        'enable_cb' => 'Enable ClickBank Integration',
        'ipn_tip' => 'IMPORTANT! Set this as your Instant Notification URL',
        'ipn_tip_product' => 'IMPORTANT! Set this as your Instant Notification URL for your product',
        'unauthorized' => 'Unauthorized access.',
        
        'video' => 'Video',
        'videos' => 'Videos',
        'add_a_video' => 'Add Video',
        'edit_video' => 'Edit Video',
        'video_in_use' => 'That video ID is already in use.',
        'delete_video' => 'Delete Video',
        'yt_id' => 'YouTube ID',
        'yt_id_tip' => 'e.g. Cs4OUFAr5Hc',
        'add_overlay' => 'Add Overlay',
        'add' => 'Add',
        'banner' => 'Banner',
        'social_action' => 'Social Action',
        'socialAction' => 'Social Action',
        'custom_html' => 'Custom HTML',
        'customHtml' => 'Custom HTML',
        'sub_form' => 'Subscription Form',
        'subscriptionForm' => 'Subscription Form',
        'selling_url' => 'Selling Product URL',
        'sellingUrl' => 'Selling Product URL',
        'effect' => 'Effect',
        'show_controls' => 'Show Controls',
        'autoplay' => 'Autoplay',
        'banner_url' => 'Banner Image URL',
        'banner_link' => 'Banner Link',
        'start_at' => 'Start Display At',
        'stop_at' => 'Stop Display At',
        'minutes' => 'minutes',
        'seconds' => 'seconds',
        'position' => 'Position',
        'top' => 'Top',
        'middle' => 'Middle',
        'bottom' => 'Bottom',
        'left' => 'Left',
        'right' => 'Right',
        'center' => 'Center',
        'pause_video_click' => 'Pause Video Until Click',
        'pause_video_click_only_links' => 'Pause Video Until Click (Only For Links)',
        'pause_video_submit' => 'Pause Video Until Form Submit',
        'insert' => 'Insert',
        'edit' => 'Edit',
        'required_field' => 'This field is required.',
        'invalid_url' => 'A valid URL is required in this field.',
        'invalid_number' => 'A valid number is required in this field.',
        'invalid_less_than_stop' => 'This number should be less than Stop Display At.',
        'invalid_greater_than_start' => 'This number should be greather than Start Display At.',
        'invalid_facebook_url' => 'This is not a valid Facebook URL.',
        'invalid_twitter_url' => 'This is not a valid Twitter URL.',
        'invalid_gplus_url' => 'This is not a valid Google Plus URL.',
        'invalid_linkedin_url' => 'This is not a valid LinkedIn URL.',
        'invalid_pinterest_url' => 'This is not a valid Pinterest URL.',
        'at_least_one_social_not_empty' => 'At least one Like URL should be not empty',
        'remove_overlay' => 'Remove Overlay',
        'display_text' => 'Display Text',
        'display_action' => 'Display',
        'like' => 'Like',
        'share' => 'Share',
        'share_link' => 'Link to share',
        'facebook_like' => 'Facebook Like',
        'twitter_follow' => 'Twitter Follow',
        'gplus_follow' => 'Google Plus Follow',
        'linkedin_follow' => 'LinkedIn Follow',
        'pinterest_follow' => 'Pinterest Follow',
        'select_template' => 'Select Template',
        'template' => 'Template',
        'select_list' => 'Select List',
        'aweber_is_not_activated' => 'AWeber is not activated, please activate it first using Integrations.',
        'no_aweber_lists' => 'No AWeber lists, please create a list before using this overlay.',
        'jvzoo' => 'JVZoo',
        'clickbank' => 'ClickBank',
        'jvzoo_cb_not_activated' => 'Both JVZoo and ClickBank are not activated, please activate one of them using Integrations.',
        'jvzoo_cb_keys_null' => 'Both JVZoo and ClickBank API Keys are empty, please insert one of them using Integrations.',
        'no_cb_products' => 'No ClickBank Products found.',
        'aweber' => 'AWeber',
        'thank_you_message' => 'Thank You message',
        'headline_message' => 'Headline',
        'sub_headline_message' => 'Sub-headline',
        'start_screen' => 'Start Screen',
        'use_start_screen' => 'Use Start Screen?',
        'image_url' => 'Image URL',
        'use_actual_size' => 'Use Actual Size',
        'or_define_w_h' => 'Or define width/height below',
        'width' => 'Width',
        'height' => 'Height',
        'display_for' => 'Display For',
        'end_screen' => 'End Screen',
        'use_end_screen' => 'Use End Screen?',
        'custom_thumbnail' => 'Custom Thumbnail',
        'use_custom_thumbnail' => 'Use Custom Thumbnail?',
        'layer_loaded' => 'Layer Loaded Successfully',
        'video_not_found' => 'Video not found!',
        'embed_video' => 'Get Embedding Code',
        'admin_settings' => 'Admin',
        'confirm_remove_video' => 'Are you sure you want to remove',
        'sale_service' => 'Sale Service',
        'clickbank_products' => 'ClickBank Products',
        'product_text' => 'Product URL Text',
        'jvzoo_product_link' => 'Product URL',
        'jvzoo_product_banner' => 'Order button URL',
        'invalid_jvzoo_product' => 'This is not a valid JVZoo Product URL.',
        'enter_transaction_id' => 'Enter Your Transaction ID',
        'check_transaction' => 'Check Transaction',
        'transaction_take' => 'Transaction can take a while to be verified, so please retry if it doesn\'t work.',
        'select_effect' => 'Select an effect',
        'duration' => 'Duration',
        'pause_video_effect' => 'Pause video until effect finishes',
        'skip_effect' => 'Skip Effect',
        'skip_effect_at' => 'Skip Effect At',
        'invalid_lesser_than_duration' => 'This number should be lesser than Duration.',
        'reload_after_switching' => 'Save the video after switching a toggle.'
    );

    if (array_key_exists($text, $language)) {
        return $language[$text];
    } else {
        return 'XXXXX';
    }
}
