<?php
require_once('altauth_lib.php');
require_once('altauth_language.php');
require_once('YouTubeFramework/UrlManager.php');

$urlManager = new UrlManager();

// check admin authorization
if (!is_admin($_COOKIE['altauth_user'])) {
    echo "<br><center><b style='color:red'>* " . __('admin_only') . "</b></center>";
    echo '<br><center><a href="' . $urlManager->getUrl('logout') . '">' . __('logout_try_again') . '</a></center>';
    die();
}
?>
<html>
    <head>
        <title><?php echo __('script_title'); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <!-- Latest compiled and minified CSS -->
        <link href="assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">	

        <!-- DataTables CSS -->
        <link href="css/vendor/dataTables.bootstrap.css" rel="stylesheet">

        <!-- DataTables Responsive CSS 
        <link href="css/vendor/dataTables.responsive.css" rel="stylesheet">
        -->
        <link rel="stylesheet" type="text/css" href="css/admin.css">

        <link rel="stylesheet" type="text/css" href="YouTubeFramework/css/tve-admin-style.css">
        
        <link rel="stylesheet" type="text/css" href="css/bootstrap-switch.min.css">
        <link rel="stylesheet" type="text/css" href="css/vendor/font-awesome/css/font-awesome.min.css">
        
        <script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
    </head>
    <body>
        <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only"><?php echo __('toggle_navigation'); ?></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="altauth_admin.php"><?php echo __('navbar_title'); ?></a>
                </div>
                <div class="navbar-collapse collapse">
                    <ul class='nav navbar-nav navbar-right'>
                        <li><a href='<?php echo $urlManager->getUrl('user_settings') ?>' target=_top><?php echo __('admin_settings'); ?></a></li>
                        <li><a href='<?php echo $urlManager->getUrl('settings') ?>' target=_top><?php echo __('integrations'); ?></a></li>					
                        <li><a href='<?php echo $urlManager->getUrl('logout') ?>'><?php echo __('logout'); ?></a></li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container-fluid">
            <div class="row row-offcanvas row-offcanvas-left">
                <div class="col-sm-3 col-md-2 sidebar-offcanvas" id="sidebar" role="navigation">
                    <ul class='nav nav-sidebar'>
                        <li><a href='<?php echo $urlManager->getUrl('videos') ?>?action=add' target=_top><span class="glyphicon glyphicon-film"></span> <?php echo __('add_a_video'); ?></a></li>
                    </ul>
                    <a href=http://turboplr.com/mm/ target=_blank><img border=0  src=http://turboplr.com/p/ttm/images/MM_btn2.png width=80% height=80% ></a><br>
                </div><!--/span-->

                <div class="col-sm-9 col-md-10 main">
                    <!--toggle sidebar button-->
                    <p class="visible-xs">
                        <button type="button" class="btn btn-primary btn-xs" data-toggle="offcanvas"><i class="glyphicon glyphicon-chevron-left"></i></button>
                    </p>	        	