<?php require_once('altauth_lib.php');

class JVZoo {
    private $RECEIPTS_PATH;
    
    public function __construct() {
        $this->RECEIPTS_PATH = realpath(dirname(__FILE__) . '/uploads/receipts');
    }
    
    public function saveReceipt($receiptId, $items) {
        $fh = fopen($this->RECEIPTS_PATH . '/receipt' . $receiptId . '.rcp', 'w');
        fwrite($fh, json_encode($items));
        fclose($fh);
    }
    
    public function checkReceipt($receiptId, $product) {
        $file = $this->RECEIPTS_PATH . '/receipt' . $receiptId . '.rcp';
        
        if(!file_exists($file))
            return false;
            
        $fh = fopen($file, 'r');
        $encodedProduct = chop(fgets($fh));
        fclose($fh);
        
        $decoded = json_decode($encodedProduct, true);
        
        return $decoded === $product;
    }
}
