<?php
include_once("UrlManager.php");

class ViewManager {
    private $urlManager;

    function __construct() {
        $this->urlManager = new UrlManager();
    }

    function __destruct() {
        unset($this->urlManager);
    }
    
    /* Renders a view giving the PHP page name to render. */

    public function renderPage($pageName, $params = array()) {
        include($this->urlManager->getTemplatesPath() . '/' . $pageName . '.php');
    }
}