<?php require_once(dirname(__FILE__) . '/../../altauth_language.php');
$video = $params['video'];

$origin = $this->urlManager->buildCompleteUrl($_SERVER);
$resourcesUrl = $this->urlManager->getUrlWithoutScript($_SERVER) . '/YouTubeFramework';
?>
<!doctype html>
<html>
    <head>
        <link rel="stylesheet" href="<?php echo $resourcesUrl ?>/css/<?php echo md5('ttl-style.min') ?>.css" type="text/css" media="all" />
        <link href="assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
        <link href="css/vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
        <link href="http://fonts.googleapis.com/css?family=Lato:300,r,b,i,bi|Open Sans:300,r,b,i,bi" rel="stylesheet" type="text/css">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="<?php echo $resourcesUrl ?>js/html5shiv.min.js"></script>
          <script src="<?php echo $resourcesUrl ?>js/respond.min.js"></script>
        <![endif]-->
    </head>

    <body>
        <?php if($video != null) : ?>
            <div class="embedding">
                <iframe id="ttl-video" width="100" height="100" src="https://www.youtube.com/embed/<?php echo $video['yt_id'] ?>?origin=<?php echo $origin ?>&enablejsapi=1&rel=0&autoplay=<?php if($video['autoplay'] === 'on') echo '1'; else echo '0'; ?><?php if($video['toggle-controls'] !== 'on') echo '&showinfo=0&controls=0' ?>" frameborder="0"></iframe>

                <div class="overlay-wrapper">
                    <div class="overlay"></div>
                </div>
            </div>

            <footer>
                <script src="https://www.youtube.com/iframe_api"></script>
                <script src="https://code.jquery.com/jquery-3.1.0.min.js"></script>
                <script src="assets/js/bootstrap.min.js"></script>
                <script src="https://code.createjs.com/createjs-2015.11.26.min.js"></script>
                <script src="<?php echo $resourcesUrl ?>/js/jquery-serialize.js"></script>
		<script src="<?php echo $resourcesUrl ?>/js/fitie.js"></script>
                <script src="<?php echo $resourcesUrl ?>/js/<?php echo md5('ttl-light') ?>.js"></script>
                <script>
                    <?php $serializedLayers = array();
                    foreach($video['serialized_layer'] as $layer)
                        array_push($serializedLayers, $layer) ?>
                            
                    window.serializedLayers = '<?php echo serialize($serializedLayers) ?>';
                </script>
            </footer>
        <?php else : ?>
            <div class="container text-center">
                <?php echo __('video_not_found') ?>
            </div>
        <?php endif ?>
    </body>
</html>
