<?php require_once(dirname(__FILE__) . '/../../altauth_language.php') ?>
<?php $values = $params['values'] ?>

<div class="alert alert-success" role="alert" style="display: none"><?php echo __('layer_loaded') ?></div>

<input type="hidden" name="overlay_type[end]" value="endScreen" />
<input type="hidden" name="serialized_layer[end]" value="" />

<div class="form-group">
    <label class="control-label col-sm-2" for="image_url[end]"><?php echo __('image_url'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url" data-error="<?php echo __('required_field'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" id="image_url[end]" name="image_url[end]" placeholder="<?php echo __('image_url'); ?>" required value="<?php echo $values['image_url']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="use_actual_size[end]">
        <?php echo __('use_actual_size') ?><br>
        <i><?php echo __('or_define_w_h') ?></i>
    </label>
    <div class="col-sm-10">
        <input type="checkbox" name="use_actual_size[end]" <?php if ($values['use_actual_size'] == 1) echo 'checked' ?>>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="width[end]"><?php echo __('width'); ?>:</label>
    <div class="col-sm-10">
        <div class="input-group">
            <input type="text" class="form-control" id="width[end]" name="width[end]" placeholder="<?php echo __('width'); ?>" value="<?php echo $values['width']; ?>">
            <div class="input-group-addon">px</div>
        </div>
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="height[end]"><?php echo __('height'); ?>:</label>
    <div class="col-sm-10">
        <div class="input-group">
            <input type="text" class="form-control" id="height[end]" name="height[end]" placeholder="<?php echo __('height'); ?>" value="<?php echo $values['height']; ?>">
            <div class="input-group-addon">px</div>
        </div>
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<input type="hidden" class="form-control" id="start_at[end]" name="start_at[end]" value="0">

<div class="form-group">
    <label class="control-label col-sm-2" for="stop_at[end]"><?php echo __('display_for'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-10">
                <input type="text" class="form-control" data-validate="number" data-error="<?php echo __('required_field'); ?>" data-number-error="<?php echo __('invalid_number'); ?>" id="stop_at[end]" name="stop_at[end]" placeholder="<?php echo __('display_for'); ?>" required value="<?php echo $values['stop_at']; ?>">
                <span class="help-block has-error" style="display: none"></span>
            </div>
            <div class="col-sm-2">
                <select name="stop_at_type[end]" class="form-control">
                    <option value="sec" <?php if ($values['stop_at_type'] === 'sec') echo 'selected' ?>><?php echo __('seconds'); ?></option>
                    <option value="min" <?php if ($values['stop_at_type'] === 'min') echo 'selected' ?>><?php echo __('minutes'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group"> 
    <div class="col-sm-12 text-right">
        <button type="button" class="btn btn-info" data-remove="" data-remove-id="end" data-overlay-id="end" data-edit="<?php echo __('edit') ?>"><?php echo __('insert'); ?></button>
    </div>
</div>
