<?php require_once(dirname(__FILE__) . '/../../altauth_language.php') ?>
<?php $values = $params['values'] ?>

<div class="alert alert-success" role="alert" style="display: none"><?php echo __('layer_loaded') ?></div>

<input type="hidden" name="overlay_type[start]" value="startScreen" />
<input type="hidden" name="serialized_layer[start]" value="" />

<div class="form-group">
    <label class="control-label col-sm-2" for="image_url[start]"><?php echo __('image_url'); ?>:</label>
    <div class="col-sm-10">
        <input type="text" class="form-control" data-validate="url" data-error="<?php echo __('required_field'); ?>" data-url-error="<?php echo __('invalid_url'); ?>" id="image_url[start]" name="image_url[start]" placeholder="<?php echo __('image_url'); ?>" required value="<?php echo $values['image_url']; ?>">
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="use_actual_size[start]">
        <?php echo __('use_actual_size') ?><br>
        <i><?php echo __('or_define_w_h') ?></i>
    </label>
    <div class="col-sm-10">
        <input type="checkbox" name="use_actual_size[start]" <?php if ($values['use_actual_size'] == 1) echo 'checked' ?>>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="width[start]"><?php echo __('width'); ?>:</label>
    <div class="col-sm-10">
        <div class="input-group">
            <input type="text" class="form-control" id="width[start]" name="width[start]" placeholder="<?php echo __('width'); ?>" value="<?php echo $values['width']; ?>">
            <div class="input-group-addon">px</div>
        </div>
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<div class="form-group">
    <label class="control-label col-sm-2" for="height[start]"><?php echo __('height'); ?>:</label>
    <div class="col-sm-10">
        <div class="input-group">
            <input type="text" class="form-control" id="height[start]" name="height[start]" placeholder="<?php echo __('height'); ?>" value="<?php echo $values['height']; ?>">
            <div class="input-group-addon">px</div>
        </div>
        <span class="help-block has-error" style="display: none"></span>
    </div>
</div>

<input type="hidden" class="form-control" id="start_at[start]" name="start_at[start]" value="0">

<div class="form-group">
    <label class="control-label col-sm-2" for="stop_at[start]"><?php echo __('display_for'); ?>:</label>
    <div class="col-sm-10">
        <div class="row">
            <div class="col-sm-10">
                <input type="text" class="form-control" data-validate="number" data-error="<?php echo __('required_field'); ?>" data-number-error="<?php echo __('invalid_number'); ?>" id="stop_at[start]" name="stop_at[start]" placeholder="<?php echo __('display_for'); ?>" required value="<?php echo $values['stop_at']; ?>">
                <span class="help-block has-error" style="display: none"></span>
            </div>
            <div class="col-sm-2">
                <select name="stop_at_type[start]" class="form-control">
                    <option value="sec" <?php if ($values['stop_at_type'] === 'sec') echo 'selected' ?>><?php echo __('seconds'); ?></option>
                    <option value="min" <?php if ($values['stop_at_type'] === 'min') echo 'selected' ?>><?php echo __('minutes'); ?></option>
                </select>
            </div>
        </div>
    </div>
</div>

<div class="form-group"> 
    <div class="col-sm-12 text-right">
        <button type="button" class="btn btn-info" data-remove="" data-remove-id="start" data-overlay-id="start" data-edit="<?php echo __('edit') ?>"><?php echo __('insert'); ?></button>
    </div>
</div>
