<?php
require_once('altauth_lib.php');
require_once('ClickBank.php');

if( is_registration_method_enabled('clickbank') ) {
    $cb = cb_ipn_decrypt();

    if($cb != '') {
        $ctransaction = $cb->transactionType;

        switch ($ctransaction) {
            case 'TEST':
                $clickBankApi = new ClickBank();
                $clickBankApi->saveReceipt($cb->receipt, $cb->lineItems);
                unset($clickBankApi);
            break;
        
            case 'SALE':
            case 'TEST_SALE':	    	
                $clickBankApi = new ClickBank();
                $clickBankApi->saveReceipt($cb->receipt, $cb->lineItems);
                unset($clickBankApi);
            break;
        }
    }
}

function cb_ipn_decrypt() {
    $cb = load_clickbank();

    $secretKey = isset($cb['clickbank_key']) ? $cb['clickbank_key'] : '';

    $message = json_decode(file_get_contents('php://input'));

    $encrypted = $message->{'notification'};
    $iv = $message->{'iv'};

    $decrypted = trim(mcrypt_decrypt(MCRYPT_RIJNDAEL_128,
                                     substr(sha1($secretKey), 0, 32),
                                     base64_decode($encrypted),
                                     MCRYPT_MODE_CBC,
                                     base64_decode($iv)), "\0..\32");

    $fp = fopen('transaction.log', 'a');
    fwrite($fp, $decrypted . "\r\n");
    fclose($fp);

    $order = json_decode($decrypted);

    return $order;
}
?>