<?php 
	require_once('altauth_language.php');

	if (file_exists('parts/default_login_header.php')) {
		$header = file_get_contents('parts/default_login_header.php'); 
		$header = preg_replace('/%%title%%/', __('reset_your_pwd'), $header);
		echo $header;
	};

?>

<form method=post>
	<input type=hidden name="return_url" value="<?=isset($_REQUEST['return_url'])?$_REQUEST['return_url']:''?>"> 
	<div class="login-container">
		<div class="row">
			<div class="col-md-4 col-md-offset-4">
				<div class="panel panel-default ">
				  <div class="panel-heading">
					<h2 class="panel-title"><?php echo __('reset_your_pwd'); ?></h2>
				  </div>
				  <div class="panel-body">
					<input type="text" id="name" class="form-control" tabIndex="1" size="20" maxsize="30" name="username" placeholder="<?php echo __('enter_email'); ?>" required autofocus value="<?=isset($_REQUEST['username']) ? $_REQUEST['username'] : '' ?>">
					<span>
					<br>
					<?php echo __('reset_pwd_note'); ?>
					</span>

				    <button class="btn btn-primary btn-block" type="submit" name="do_resetpass" tabIndex="2"><?php echo __('reset'); ?></button>
				  </div>
				</div>	
				<?php if(isset($Message)) : ?>
					<?php echo $Message; ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
</form>

<?php 
	if (file_exists('parts/default_login_footer.php')) {
		$footer = file_get_contents('parts/default_login_footer.php'); 
		echo $footer;
	};

?>